Package pygccxml :: Package declarations :: Module cpptypes :: Class free_function_type_t

# type free_function_type_t

source code

        object --+
                 |
            type_t --+
                     |
        object --+   |
                 |   |
    calldef_type_t --+
                     |
                    free_function_type_t

describes free function type

Instance Methods

__init__(self, return_type=None, arguments_types=None) | source code

build_decl_string(self, with_defaults=True) | source code

create_typedef(self, typedef_name, unused=None, with_defaults=True) returns string, that contains valid C++ code, that defines typedef to function type | source code

Inherited from `type_t`: `__eq__`, `__lt__`, `__ne__`, `__str__`, `clone`

Static Methods

create_decl_string(return_type, arguments_types, with_defaults=True) returns free function type | source code

Class Variables
| NAME_TEMPLATE = ``'``%(return_type)s (*)( %(arguments)s )``'``
| TYPEDEF_NAME_TEMPLATE = ``'``%(return_type)s ( *%(typedef_name)s )``...``

Properties
Inherited from `type_t`: `byte_align`, `byte_size`, `decl_string`, `partial_decl_string` Inherited from `calldef_type_t`: `arguments_types`, `has_ellipsis`, `return_type`

Method Details

### __init__(self, return_type=None, arguments_types=None)
(Constructor)

source code

Overrides: calldef_type_t.__init__

### create_decl_string(return_type, arguments_types, with_defaults=True)
Static Method

source code

returns free function type

Parameters:
  - `return_type` (type_t) - function return type
  - `arguments_types` - list of argument type
Returns:
  free_function_type_t

### build_decl_string(self, with_defaults=True)

source code

Overrides: type_t.build_decl_string

### create_typedef(self, typedef_name, unused=None, with_defaults=True)

source code

returns string, that contains valid C++ code, that defines typedef to function type

Parameters:
  - `name` - the desired name of typedef

Class Variable Details

### TYPEDEF_NAME_TEMPLATE

Value:

      '%(return_type)s ( *%(typedef_name)s )( %(arguments)s )'